Errors were encountered while processing: /tmp/apt-dpkg-install-x8YVfC/03-libnvidia-compute-390_390.48-0ubuntu2_i386.deb

Bug #1765053 reported by Martin Wimpress on 2018-04-18
52
This bug affects 9 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-390 (Ubuntu)
High
Alberto Milone
Bionic
High
Alberto Milone
ubuntu-drivers-common (Ubuntu)
Undecided
Alberto Milone
Bionic
Undecided
Alberto Milone

Bug Description

Using Ubuntu MATE 18.04 daily ubuntu-drivers fails to install the nvidia 390 drivers. Here is what I captured on stdout.

$ sudo ubuntu-drivers autoinstall
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  gnome-session-common
Use 'sudo apt autoremove' to remove it.
The following additional packages will be installed:
  libnvidia-cfg1-390 libnvidia-common-390 libnvidia-compute-390 libnvidia-compute-390:i386 libnvidia-decode-390 libnvidia-decode-390:i386 libnvidia-encode-390 libnvidia-encode-390:i386 libnvidia-fbc1-390
  libnvidia-fbc1-390:i386 libnvidia-gl-390 libnvidia-gl-390:i386 libnvidia-ifr1-390 libnvidia-ifr1-390:i386 libwayland-client0:i386 libwayland-server0:i386 libxnvctrl0 nvidia-compute-390
  nvidia-compute-no-dkms-390 nvidia-compute-utils-390 nvidia-dkms-390 nvidia-kernel-source-390 nvidia-settings nvidia-utils-390 screen-resolution-extra xserver-xorg-video-nvidia-390
The following NEW packages will be installed
  libnvidia-cfg1-390 libnvidia-common-390 libnvidia-compute-390 libnvidia-compute-390:i386 libnvidia-decode-390 libnvidia-decode-390:i386 libnvidia-encode-390 libnvidia-encode-390:i386 libnvidia-fbc1-390
  libnvidia-fbc1-390:i386 libnvidia-gl-390 libnvidia-gl-390:i386 libnvidia-ifr1-390 libnvidia-ifr1-390:i386 libwayland-client0:i386 libwayland-server0:i386 libxnvctrl0 nvidia-compute-390
  nvidia-compute-no-dkms-390 nvidia-compute-utils-390 nvidia-dkms-390 nvidia-driver-390 nvidia-kernel-source-390 nvidia-settings nvidia-utils-390 screen-resolution-extra xserver-xorg-video-nvidia-390
0 to upgrade, 27 to newly install, 0 to remove and 0 not to upgrade.
Need to get 0 B/85.3 MB of archives.
After this operation, 365 MB of additional disk space will be used.
Selecting previously unselected package libnvidia-cfg1-390:amd64.
(Reading database ... 258596 files and directories currently installed.)
Preparing to unpack .../00-libnvidia-cfg1-390_390.48-0ubuntu2_amd64.deb ...
Unpacking libnvidia-cfg1-390:amd64 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-common-390.
Preparing to unpack .../01-libnvidia-common-390_390.48-0ubuntu2_all.deb ...
Unpacking libnvidia-common-390 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-compute-390:amd64.
Preparing to unpack .../02-libnvidia-compute-390_390.48-0ubuntu2_amd64.deb ...
Unpacking libnvidia-compute-390:amd64 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-compute-390:i386.
Preparing to unpack .../03-libnvidia-compute-390_390.48-0ubuntu2_i386.deb ...
Unpacking libnvidia-compute-390:i386 (390.48-0ubuntu2) ...
dpkg: error processing archive /tmp/apt-dpkg-install-x8YVfC/03-libnvidia-compute-390_390.48-0ubuntu2_i386.deb (--unpack):
 trying to overwrite shared '/etc/OpenCL/vendors/nvidia.icd', which is different from other instances of package libnvidia-compute-390:i386
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Selecting previously unselected package libnvidia-decode-390:amd64.
Preparing to unpack .../04-libnvidia-decode-390_390.48-0ubuntu2_amd64.deb ...
Unpacking libnvidia-decode-390:amd64 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-decode-390:i386.
Preparing to unpack .../05-libnvidia-decode-390_390.48-0ubuntu2_i386.deb ...
Unpacking libnvidia-decode-390:i386 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-encode-390:i386.
Preparing to unpack .../06-libnvidia-encode-390_390.48-0ubuntu2_i386.deb ...
Unpacking libnvidia-encode-390:i386 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-encode-390:amd64.
Preparing to unpack .../07-libnvidia-encode-390_390.48-0ubuntu2_amd64.deb ...
Unpacking libnvidia-encode-390:amd64 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-fbc1-390:amd64.
Preparing to unpack .../08-libnvidia-fbc1-390_390.48-0ubuntu2_amd64.deb ...
Unpacking libnvidia-fbc1-390:amd64 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-fbc1-390:i386.
Preparing to unpack .../09-libnvidia-fbc1-390_390.48-0ubuntu2_i386.deb ...
Unpacking libnvidia-fbc1-390:i386 (390.48-0ubuntu2) ...
Selecting previously unselected package libwayland-client0:i386.
Preparing to unpack .../10-libwayland-client0_1.14.0-2_i386.deb ...
Unpacking libwayland-client0:i386 (1.14.0-2) ...
Selecting previously unselected package libwayland-server0:i386.
Preparing to unpack .../11-libwayland-server0_1.14.0-2_i386.deb ...
Unpacking libwayland-server0:i386 (1.14.0-2) ...
Selecting previously unselected package libnvidia-gl-390:i386.
Preparing to unpack .../12-libnvidia-gl-390_390.48-0ubuntu2_i386.deb ...
Unpacking libnvidia-gl-390:i386 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-gl-390:amd64.
Preparing to unpack .../13-libnvidia-gl-390_390.48-0ubuntu2_amd64.deb ...
Unpacking libnvidia-gl-390:amd64 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-ifr1-390:i386.
Preparing to unpack .../14-libnvidia-ifr1-390_390.48-0ubuntu2_i386.deb ...
Unpacking libnvidia-ifr1-390:i386 (390.48-0ubuntu2) ...
Selecting previously unselected package libnvidia-ifr1-390:amd64.
Preparing to unpack .../15-libnvidia-ifr1-390_390.48-0ubuntu2_amd64.deb ...
Unpacking libnvidia-ifr1-390:amd64 (390.48-0ubuntu2) ...
Selecting previously unselected package libxnvctrl0:amd64.
Preparing to unpack .../16-libxnvctrl0_390.42-0ubuntu1_amd64.deb ...
Unpacking libxnvctrl0:amd64 (390.42-0ubuntu1) ...
Selecting previously unselected package nvidia-kernel-source-390.
Preparing to unpack .../17-nvidia-kernel-source-390_390.48-0ubuntu2_amd64.deb ...
Unpacking nvidia-kernel-source-390 (390.48-0ubuntu2) ...
Selecting previously unselected package nvidia-compute-utils-390.
Preparing to unpack .../18-nvidia-compute-utils-390_390.48-0ubuntu2_amd64.deb ...
Unpacking nvidia-compute-utils-390 (390.48-0ubuntu2) ...
Selecting previously unselected package nvidia-compute-no-dkms-390.
Preparing to unpack .../19-nvidia-compute-no-dkms-390_390.48-0ubuntu2_amd64.deb ...
Unpacking nvidia-compute-no-dkms-390 (390.48-0ubuntu2) ...
Selecting previously unselected package nvidia-dkms-390.
Preparing to unpack .../20-nvidia-dkms-390_390.48-0ubuntu2_amd64.deb ...
Unpacking nvidia-dkms-390 (390.48-0ubuntu2) ...
Selecting previously unselected package nvidia-compute-390.
Preparing to unpack .../21-nvidia-compute-390_390.48-0ubuntu2_amd64.deb ...
Unpacking nvidia-compute-390 (390.48-0ubuntu2) ...
Selecting previously unselected package nvidia-utils-390.
Preparing to unpack .../22-nvidia-utils-390_390.48-0ubuntu2_amd64.deb ...
Unpacking nvidia-utils-390 (390.48-0ubuntu2) ...
Selecting previously unselected package xserver-xorg-video-nvidia-390.
Preparing to unpack .../23-xserver-xorg-video-nvidia-390_390.48-0ubuntu2_amd64.deb ...
Unpacking xserver-xorg-video-nvidia-390 (390.48-0ubuntu2) ...
Selecting previously unselected package nvidia-driver-390.
Preparing to unpack .../24-nvidia-driver-390_390.48-0ubuntu2_amd64.deb ...
Unpacking nvidia-driver-390 (390.48-0ubuntu2) ...
Selecting previously unselected package screen-resolution-extra.
Preparing to unpack .../25-screen-resolution-extra_0.17.3_all.deb ...
Unpacking screen-resolution-extra (0.17.3) ...
Selecting previously unselected package nvidia-settings.
Preparing to unpack .../26-nvidia-settings_390.42-0ubuntu1_amd64.deb ...
Unpacking nvidia-settings (390.42-0ubuntu1) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-x8YVfC/03-libnvidia-compute-390_390.48-0ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: ubuntu-drivers-common 1:0.5.1
ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
Uname: Linux 4.15.0-15-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.9-0ubuntu5
Architecture: amd64
CurrentDesktop: MATE
Date: Wed Apr 18 14:40:34 2018
InstallationDate: Installed on 2018-01-23 (85 days ago)
InstallationMedia: Ubuntu-MATE 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180123)
SourcePackage: ubuntu-drivers-common
UpgradeStatus: No upgrade log present (probably fresh install)

Martin Wimpress (flexiondotorg) wrote :
Changed in ubuntu-drivers-common (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Daniel van Vugt (vanvugt) wrote :

Martin,

Can you find more detailed logs? Maybe in /var/lib/dkms or similar?

summary: - ubuntu-drivers autoinstall fails to install nvidia 390 drivers
+ Errors were encountered while processing: /tmp/apt-dpkg-install-
+ x8YVfC/03-libnvidia-compute-390_390.48-0ubuntu2_i386.deb
Changed in nvidia-graphics-drivers-390 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
importance: Undecided → High
Graham Inggs (ginggs) wrote :

After removing all nvidia-related packages from a computer running 18.04, I tried
$ sudo ubuntu-drivers autoinstall
and everything installed with no errors.

Looking at the error:

dpkg: error processing archive /tmp/apt-dpkg-install-x8YVfC/03-libnvidia-compute-390_390.48-0ubuntu2_i386.deb (--unpack):
 trying to overwrite shared '/etc/OpenCL/vendors/nvidia.icd', which is different from other instances of package libnvidia-compute-390:i386

Did you have nvidia drivers installed in the past?

Alberto Milone (albertomilone) wrote :

I am unable to reproduce this using today's Bionic daily image.

Martin Wimpress (flexiondotorg) wrote :

Testing on a clean install of 18.04 daily today I can no longer reproduce this issue.

Martin Wimpress (flexiondotorg) wrote :
Download full text (14.2 KiB)

I've retested several installs and still encounter this issue. Installing via Additional Drivers UI or `apt install nvidia-driver-390` both work.

I am doing `sudo apt-get purge "*nvidia*" between install attempts and rebooting. Attempting to install via `sudo ubuntu-drivers autoinstall is failing` to complete.

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libnvidia-cfg1-390 libnvidia-common-390 libnvidia-compute-390 libnvidia-compute-390:i386 libnvidia-decode-390 libnvidia-decode-390:i386 libnvidia-encode-390 libnvidia-encode-390:i386 libnvidia-fbc1-390
  libnvidia-fbc1-390:i386 libnvidia-gl-390 libnvidia-gl-390:i386 libnvidia-ifr1-390 libnvidia-ifr1-390:i386 libwayland-client0:i386 libwayland-server0:i386 libxnvctrl0 nvidia-compute-390
  nvidia-compute-no-dkms-390 nvidia-compute-utils-390 nvidia-dkms-390 nvidia-kernel-source-390 nvidia-settings nvidia-utils-390 screen-resolution-extra xserver-xorg-video-nvidia-390
The following NEW packages will be installed
  libnvidia-cfg1-390 libnvidia-common-390 libnvidia-compute-390 libnvidia-compute-390:i386 libnvidia-decode-390 libnvidia-decode-390:i386 libnvidia-encode-390 libnvidia-encode-390:i386 libnvidia-fbc1-390
  libnvidia-fbc1-390:i386 libnvidia-gl-390 libnvidia-gl-390:i386 libnvidia-ifr1-390 libnvidia-ifr1-390:i386 libwayland-client0:i386 libwayland-server0:i386 libxnvctrl0 nvidia-compute-390
  nvidia-compute-no-dkms-390 nvidia-compute-utils-390 nvidia-dkms-390 nvidia-driver-390 nvidia-kernel-source-390 nvidia-settings nvidia-utils-390 screen-resolution-extra xserver-xorg-video-nvidia-390
0 to upgrade, 27 to newly install, 0 to remove and 0 not to upgrade.
Need to get 85.3 MB of archives.
After this operation, 365 MB of additional disk space will be used.
Get:1 http://gb.archive.ubuntu.com/ubuntu bionic/restricted amd64 libnvidia-cfg1-390 amd64 390.48-0ubuntu2 [70.0 kB]
Get:2 http://gb.archive.ubuntu.com/ubuntu bionic/restricted amd64 libnvidia-common-390 all 390.48-0ubuntu2 [10.4 kB]
Get:3 http://gb.archive.ubuntu.com/ubuntu bionic/restricted amd64 libnvidia-compute-390 amd64 390.48-0ubuntu2 [20.6 MB]
Get:4 http://gb.archive.ubuntu.com/ubuntu bionic/restricted i386 libnvidia-compute-390 i386 390.48-0ubuntu2 [21.0 MB]
Get:5 http://gb.archive.ubuntu.com/ubuntu bionic/restricted amd64 libnvidia-decode-390 amd64 390.48-0ubuntu2 [1,117 kB]
Get:6 http://gb.archive.ubuntu.com/ubuntu bionic/restricted i386 libnvidia-decode-390 i386 390.48-0ubuntu2 [1,185 kB]
Get:7 http://gb.archive.ubuntu.com/ubuntu bionic/restricted i386 libnvidia-encode-390 i386 390.48-0ubuntu2 [50.5 kB]
Get:8 http://gb.archive.ubuntu.com/ubuntu bionic/restricted amd64 libnvidia-encode-390 amd64 390.48-0ubuntu2 [50.2 kB]
Get:9 http://gb.archive.ubuntu.com/ubuntu ...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-drivers-common (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
status: In Progress → Confirmed
Battant (mparchet) wrote :

Hello,
The GUI (graphicc user interface)!dose not start If i have no internet connection (offline )
An other personé (novice on ubuntu ) has upgrade Ubuntu 16.04 to Ubuntu 18.04 Have the same probkeme
The internet must connect at start (Ethernet or WiFi)
Same problem whith the live dvd ?
Why this internet connection deprndence
Why the GUI coud’nt Start ofline
Could you confirme this and help me to fix this issue
Thanks for your supporters
Best regards

Battant

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers